
D4Science Infrastructure - Incident #7553

Sharing of posts in any VRE does not generate any notification 

Mar 16, 2017 03:17 PM - Massimiliano Assante

Status: Closed Start date: Mar 16, 2017

Priority: Immediate Due date: Mar 16, 2017

Assignee: Massimiliano Assante % Done: 100%

Category: Other Estimated time: 0.00 hour

Target version: D4Science Infrastructure Upgrade to

gCube 4.3.0

  

Infrastructure: Pre-Production, Production   

Description

this post:

Dear all,     

to select a week for the upcoming 5th #Tcom event, hosted by #NKUA in #Greece, please use this #Do

odle: http://Doodle.com/poll/6xgkvfd67ke37bp8 

We're closing the poll next Thursday 16th March.

 generate the following exception

2017-03-16 13:51:33,159 INFO  icclient.ICClient [http-bio-9090-exec-85,callService:65] %[PORTAL] 2

142080 [http-bio-9090-exec-85] INFO  org.gcube.resources.discovery.icclient.ICClient  - executed q

uery for $profile in collection('/db/Profiles/GenericResource')//Resource where $profile/Profile/S

econdaryType/string() eq 'ApplicationProfile' and  $profile/Profile/Body/AppId/string()  eq 'org.g

cube.portlets.user.newsfeed.server.NewsServiceImpl'return $profile in 56 ms

2017-03-16 13:51:33,173 INFO  social.ApplicationNotificationsManager [http-bio-9090-exec-85,setCon

text:125] %[PORTAL] 2142094 [http-bio-9090-exec-85] INFO  org.gcube.applicationsupportlayer.social

.ApplicationNotificationsManager  - ApplicationNotificationsManager setContext for Site:  http://i

-marine.d4science.org

2017-03-16 13:51:33,174 INFO  social.ApplicationNotificationsManager [http-bio-9090-exec-85,setCon

text:126] %[PORTAL] 2142095 [http-bio-9090-exec-85] INFO  org.gcube.applicationsupportlayer.social

.ApplicationNotificationsManager  - siteLandingPagePath:  /group/imarine-gateway

2017-03-16 13:51:33,174 INFO  social.ApplicationNotificationsManager [http-bio-9090-exec-85,setCon

text:127] %[PORTAL] 2142095 [http-bio-9090-exec-85] INFO  org.gcube.applicationsupportlayer.social

.ApplicationNotificationsManager  - senderEmail:  i-marine@d4science.org

2017-03-16 13:51:33,174 INFO  social.ApplicationNotificationsManager [http-bio-9090-exec-85,setCon

text:128] %[PORTAL] 2142095 [http-bio-9090-exec-85] INFO  org.gcube.applicationsupportlayer.social

.ApplicationNotificationsManager  - portalName:  i-marine@d4science.org

Mar 16, 2017 1:51:33 PM org.apache.catalina.core.ApplicationContext log

SEVERE: Exception while dispatching incoming RPC call

com.google.gwt.user.server.rpc.UnexpectedException: Service method 'public abstract org.gcube.port

al.databook.shared.ClientFeed org.gcube.portlets.user.shareupdates.client.ShareUpdateService.share

PostWithLinkPreview(java.lang.String,org.gcube.portal.databook.shared.FeedType,org.gcube.portal.da

tabook.shared.PrivacyLevel,java.lang.Long,org.gcube.portlets.user.shareupdates.shared.LinkPreview,

java.lang.String,java.util.ArrayList,boolean)' threw an unexpected exception: java.lang.NullPointe

rException

    at com.google.gwt.user.server.rpc.RPC.encodeResponseForFailure(RPC.java:389)

    at com.google.gwt.user.server.rpc.RPC.invokeAndEncodeResponse(RPC.java:579)

    at com.google.gwt.user.server.rpc.RemoteServiceServlet.processCall(RemoteServiceServlet.java:2

08)

    at com.google.gwt.user.server.rpc.RemoteServiceServlet.processPost(RemoteServiceServlet.java:2

48)

    at com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet.doPost(AbstractRemoteServiceSer

vlet.java:62)

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:650)

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:731)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:303)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:52)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:241)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:116)

    at sun.reflect.GeneratedMethodAccessor417.invoke(Unknown Source)

    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

    at java.lang.reflect.Method.invoke(Method.java:606)

    at com.liferay.portal.kernel.bean.ClassLoaderBeanHandler.invoke(ClassLoaderBeanHandler.java:67

)

    at com.sun.proxy.$Proxy739.doFilter(Unknown Source)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:116)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.processDirectCallFilte

r(InvokerFilterChain.java:165)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:96)

    at com.liferay.portal.kernel.servlet.PortalClassLoaderFilter.doFilter(PortalClassLoaderFilter.

java:74)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.processDoFilter(Invoke

rFilterChain.java:204)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:109)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilter.doFilter(InvokerFilter.java

:119)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:241)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:220)

    at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:122)

    at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:505)

    at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:170)

    at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:103)

    at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:957)

    at org.gcube.portal.threadlocalexec.SmartGearsPortalValve.invoke(SmartGearsPortalValve.java:69

)

    at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:116)

    at org.apache.catalina.ha.tcp.ReplicationValve.invoke(ReplicationValve.java:333)

    at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:423)

    at org.apache.coyote.http11.AbstractHttp11Processor.process(AbstractHttp11Processor.java:1079)

    at org.apache.coyote.AbstractProtocol$AbstractConnectionHandler.process(AbstractProtocol.java:

620)

    at org.apache.tomcat.util.net.JIoEndpoint$SocketProcessor.run(JIoEndpoint.java:316)

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)

    at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)

    at java.lang.Thread.run(Thread.java:745)

Caused by: java.lang.NullPointerException

    at org.gcube.portlets.user.shareupdates.server.ShareUpdateServiceImpl.getVreGroupsNames(ShareU

pdateServiceImpl.java:467)

    at org.gcube.portlets.user.shareupdates.server.ShareUpdateServiceImpl.notifyPeopleGroup(ShareU

pdateServiceImpl.java:434)

    at org.gcube.portlets.user.shareupdates.server.ShareUpdateServiceImpl.sharePostWithLinkPreview

(ShareUpdateServiceImpl.java:218)

    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)

    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

    at java.lang.reflect.Method.invoke(Method.java:606)

    at com.google.gwt.user.server.rpc.RPC.invokeAndEncodeResponse(RPC.java:561)

    ... 42 more

[PORTAL] 2271250 [http-bio-9090-exec-64] INFO  HomeManageFactory  - loading home. (Username: massi

miliano.assante, scope: /d4science.research-infrastructures.eu/gCubeApps/BlueBridgeProject)

[PORTAL] 2271250 [http-bio-9090-exec-64] INFO  HomeManageFactory  - getHomeManagerFactory
#1 - Mar 16, 2017 03:17 PM - Massimiliano Assante

- % Done changed from 0 to 30

i reproduced the issue in preproduction too, I'm going to fix this then we'll se how is it possible that the functional test hasn't spotted this problem

#2 - Mar 16, 2017 03:30 PM - Massimiliano Assante

- Status changed from New to In Progress

#3 - Mar 16, 2017 03:35 PM - Massimiliano Assante

- Status changed from In Progress to Closed

- % Done changed from 30 to 100

The issue has been fixed with a patch in production 

#4 - Mar 16, 2017 03:53 PM - Maria Di Girolamo

Dear @massimiliano.assante@isti.cnr.it

no similar issue was reported during the shareupdates testing . Other issue is reported and I repeat the test after the resolutoin of the issue and

re-loaded of the pre-production. I repeat the test and for me the portlet should work fine.

The issue reported has been signaled the first time we had tested this portlet.But it's no possibile reproduced the issue (If I remember right).

Please, you can find the history of the last sharedupdates testing here : https://support.d4science.org/issues/7273. 

For the future , we can have more attention for it.

Thank you for your comprehension and attention.

Maria.
